# Components

The [`Page`][vizro.models.Page] model accepts the `components` argument, where you can enter any of the components listed below to fill your dashboard with visuals.

<div class="grid cards" markdown>

- :octicons-graph-16:{ .lg .middle } __Graph__

    ---

    Visualize data with any Plotly chart.

    [:octicons-arrow-right-24: View user guide](graph.md)

- :material-table-large:{ .lg .middle } __Table__

    ---

    Visualize tabular data.

    [:octicons-arrow-right-24: View user guide](table.md)

- :material-graph:{ .lg .middle } __Figure__

    ---

    Make any [Dash component](https://dash.plotly.com/#open-source-component-libraries) reactive.

    [:octicons-arrow-right-24: View user guide](figure.md)

- :material-cards-outline:{ .lg .middle } __Card__

    ---

    Call out text or display KPIs.

    [:octicons-arrow-right-24: View user guide](card.md)

- :material-play-box-outline:{ .lg .middle } __Button__

    ---

    Navigate to different URLs or attach any [action](actions.md).

    [:octicons-arrow-right-24: View user guide](button.md)

- :material-language-markdown:{ .lg .middle } __Text__

    ---

    Display plain text, add images, links and more.

    [:octicons-arrow-right-24: View user guide](text.md)

- :octicons-table-16:{ .lg .middle } __Container__

    ---

    Group components into sections and subsections.

    [:octicons-arrow-right-24: View user guide](container.md)

- :material-tab-plus:{ .lg .middle } __Tab__

    ---

    Group containers and navigate between them.

    [:octicons-arrow-right-24: View user guide](tabs.md)

</div>
